Summary: IP Firewalling Chains.
Name: ipchains
%define version 1.3.9
Version: %{version}
Release: 6mdk
Copyright: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System/Kernel and hardware
Source: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.1.2.tar.bz2
Source2: ipchains.init
Buildroot: %{_tmppath}/%{name}-root

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. It lets you do things like firewalls, IP masquerading, etc.

%prep
%setup -q -a 1

%build
COPTS=$RPM_OPT_FLAGS make -e

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man4,usr/man/man8}
install -m 0755 ipchains $RPM_BUILD_ROOT/sbin/
install -m 0644 ipchains ipfw.4 $RPM_BUILD_ROOT/usr/man/man4/
install -m 0644 ipchains ipchains.8 $RPM_BUILD_ROOT/usr/man/man8/
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save,ipfwadm-wrapper} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT/usr/man/man8
cp ipchains-scripts-1.1.2/ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm
ln -sf ipfwadm $RPM_BUILD_ROOT/sbin/ipfwadm-wrapper

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipchains

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipchains

%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig --del ipchains
fi

%files
%defattr(-,root,root)
%doc COPYING README ipchains-quickref.ps
%config /etc/rc.d/init.d/ipchains
%defattr(-,root,root)
/sbin/ipchains
/sbin/ipchains-restore
/sbin/ipchains-save
/sbin/ipfwadm-wrapper
/sbin/ipfwadm
/usr/man/man4/ipfw.4.bz2
/usr/man/man8/ipchains-restore.8.bz2
/usr/man/man8/ipchains-save.8.bz2
/usr/man/man8/ipchains.8.bz2
/usr/man/man8/ipfwadm-wrapper.8.bz2


%changelog
* Mon Mar 28 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- add the initscript from RH
- add %post and %preun
- update ipchains-scripts
- fix building as root

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed source for new build environment

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.9

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- oboslete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
